Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class Figure

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.Figure

public class Figure extends Object
Represents the internal makings of a Figure.

## Constructor Summary

Constructors
Constructor
Description
`Figure​(byte figuresAttribute, int pointOffset)`
Creates a Figure object

## Method Summary

Modifier and Type
Method
Description
`byte`
`getFiguresAttribute()`
Returns the figuresAttribute value.
`int`
`getPointOffset()`
Returns the pointOffset value.
`void`
`setFiguresAttribute​(byte fa)`
Sets the figuresAttribute value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Figure

public Figure​(byte figuresAttribute, int pointOffset)
Creates a Figure object

Parameters:
  `figuresAttribute` - figures attribute
  `pointOffset` - points offset

## Method Details

### getFiguresAttribute

public byte getFiguresAttribute()
Returns the figuresAttribute value.

Returns:
  byte figuresAttribute value.

### getPointOffset

public int getPointOffset()
Returns the pointOffset value.

Returns:
  int pointOffset value.

### setFiguresAttribute

public void setFiguresAttribute​(byte fa)
Sets the figuresAttribute value.

Parameters:
  `fa` - figuresAttribute value.